# Convert a GDS data structure to a BioConductor data structure

Functions to take a GDS data structure from getGEO and coerce it to limma MALists or ExpressionSets.

    GDS2MA(GDS,do.log2=FALSE,GPL=NULL,AnnotGPL=TRUE,getGPL=TRUE)
    GDS2eSet(GDS,do.log2=FALSE,GPL=NULL,AnnotGPL=TRUE,getGPL=TRUE)

## Arguments

GDS
  The GDS datastructure returned by getGEO
do.log2
  Boolean, should the data in the GDS be log2 transformed before inserting into the new data structure
GPL
  Either a GPL data structure (from a call to getGEO) or NULL. If NULL, this will cause a call to getGEO to produce a GPL. The gene information from the GPL is then used to construct the `genes` slot of the resulting limma `MAList` object or the `featureData` slot of the `ExpressionSet` instance.
AnnotGPL
  In general, the annotation GPL files will be available for GDS records, so the default is to use these files over the user-submitted GPL files
getGPL
  A boolean defaulting to TRUE as to whether or not to download and include GPL information when converting to ExpressionSet or MAList. You may want to set this to FALSE if you know that you are going to annotate your featureData using Bioconductor tools rather than relying on information provided through NCBI GEO. Download times can also be greatly reduced by specifying FALSE.

## Details

This function just rearranges one data structure into another. For GDS, it also deals appropriately with making the "targets" list item for the limma data structure and the phenoData slot of ExpressionSets.

## Value

## References

See the limma and ExpressionSet help in the appropriate packages

## Examples

    ## Not run: gds505 &lt;- getGEO(&#39;GDS505&#39;)
    ## Not run: MA &lt;- GDS2MA(gds505)
    ## Not run: eset &lt;- GDS2eSet(gds505)

## Author

Sean Davis